Show / Hide Table of Contents

# Class ProxyHttpException

Proxy HTTP exception.

##### Inheritance

Object
Exception
ProxyException
ProxyHttpException

##### Implements

ISerializable
_Exception

##### Inherited Members

Exception.GetBaseException()
Exception.ToString()
Exception.GetObjectData(SerializationInfo, StreamingContext)
Exception.GetType()
Exception.Message
Exception.Data
Exception.InnerException
Exception.TargetSite
Exception.StackTrace
Exception.HelpLink
Exception.Source
Exception.HResult
Exception.SerializeObjectState
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Exceptions

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ProxyHttpException : ProxyException, ISerializable, _Exception

### Properties

| Improve this Doc View Source

#### Session

Gets session info associated to the exception.

##### Declaration

    public SessionEventArgs Session { get; }

##### Property Value

Type | Description
--- | ---
SessionEventArgs |

##### Remarks

This object properties should not be edited.

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception